package com.bonus.canteen.core.supply.po;

import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;

public class DrpMaterialDetectModel {
   @ApiModelProperty("入库单号")
   private String intoId;
   @ApiModelProperty("原料id")
   private Long materialId;
   @ApiModelProperty("原料编码")
   private String materialCode;
   @ApiModelProperty("原料名称")
   private String materialName;
   @ApiModelProperty("原料类别id")
   private Long categoryId;
   @ApiModelProperty("原料类别名称")
   private String categoryName;
   @ApiModelProperty("入库时间")
   private LocalDateTime intoDate;
   @ApiModelProperty("仓库id")
   private Long warehouseId;
   @ApiModelProperty("仓库名称")
   private String warehouseName;

   public String getIntoId() {
      return this.intoId;
   }

   public Long getMaterialId() {
      return this.materialId;
   }

   public String getMaterialCode() {
      return this.materialCode;
   }

   public String getMaterialName() {
      return this.materialName;
   }

   public Long getCategoryId() {
      return this.categoryId;
   }

   public String getCategoryName() {
      return this.categoryName;
   }

   public LocalDateTime getIntoDate() {
      return this.intoDate;
   }

   public Long getWarehouseId() {
      return this.warehouseId;
   }

   public String getWarehouseName() {
      return this.warehouseName;
   }

   public void setIntoId(final String intoId) {
      this.intoId = intoId;
   }

   public void setMaterialId(final Long materialId) {
      this.materialId = materialId;
   }

   public void setMaterialCode(final String materialCode) {
      this.materialCode = materialCode;
   }

   public void setMaterialName(final String materialName) {
      this.materialName = materialName;
   }

   public void setCategoryId(final Long categoryId) {
      this.categoryId = categoryId;
   }

   public void setCategoryName(final String categoryName) {
      this.categoryName = categoryName;
   }

   public void setIntoDate(final LocalDateTime intoDate) {
      this.intoDate = intoDate;
   }

   public void setWarehouseId(final Long warehouseId) {
      this.warehouseId = warehouseId;
   }

   public void setWarehouseName(final String warehouseName) {
      this.warehouseName = warehouseName;
   }


   public String toString() {
      String var10000 = this.getIntoId();
      return "DrpMaterialDetectModel(intoId=" + var10000 + ", materialId=" + this.getMaterialId() + ", materialCode=" + this.getMaterialCode() + ", materialName=" + this.getMaterialName() + ", categoryId=" + this.getCategoryId() + ", categoryName=" + this.getCategoryName() + ", intoDate=" + String.valueOf(this.getIntoDate()) + ", warehouseId=" + this.getWarehouseId() + ", warehouseName=" + this.getWarehouseName() + ")";
   }
}
